// const API_BASE = 'https://xinghuolanqiu.com/newApi'
//const API_BASE = 'http://192.168.1.126:30000'

//const API_BASE = 'http://192.168.1.145/newApi'

//const API_BASE = 'http://192.168.1.109/newApi'
//const API_BASE = 'http://192.168.1.117:8089/'

// const API_BASE = 'http://192.168.1.145/newApi'

const API_BASE = 'http://192.168.1.109/newApi'
// const API_BASE = 'http://192.168.1.117:8089/'
// const API_BASE = 'http://192.168.1.126:30000'
// const API_BASE = 'http://192.168.1.117:8089'

module.exports = {
	//  微信授权登录
	wxLogin: API_BASE + '/v2/student/login/wxLogin',
	//  账号密码登录
	loginByPassword: API_BASE + '/v2/student/login/login',
	//  更换昵称头像
	changeWxInfo: API_BASE + '/v2/student/login/changeWxInfo',
	//  根据经纬度获取位置
	getAddressInfo: API_BASE + '/v2/location/pointToAddress',
	//  获取订阅模板
	getTemplate: API_BASE + '/v2/student/myCenter/getTemplate',
	//  根据省市区code获取场馆
	getCodeVenueList: API_BASE + '/v2/student/myCenter/getCodeVenueList',
	
	//  获取首页轮播图列表
	getIndexSwiperList: API_BASE + '/v2/home/getRollAdvertisingHomeList',
	//  获取首页场馆列表
	// v2
	// getVenueList: API_BASE + '/v2/home/getVenueNearbyList',
	// v3
	getVenueList: API_BASE + '/sgai/venue/get4ShortestVenue',
	//  获取场馆详情
	getVenueDetail: API_BASE + '/v2/home/getVenueDetailById',
	//  获取班级详情
	getClassDetail: API_BASE + '/v2/home/getClassDetailById',
	//  获取首页精彩瞬间列表
	getVideoList: API_BASE + '/v2/home/getCourseShowNearbyList',
	
	
	//  获取可报名学员列表
	getEnlistAbleStudent: API_BASE + '/v2/class/selectApplyList',
	//  获取会员服务班级详情
	getMemberClassDetail: API_BASE + '/v2/class/getDetail',
	//  获取我的班级全部请假列表
	getAllLeaveList: API_BASE + '/v2/class/getAllLeaveList',
	//  获取评论
	getSignRemark: API_BASE + '/v2/class/getSignRemark',
	//  评论
	setSignRemark: API_BASE + '/v2/class/setSignRemark',
	//  学员报名
	enlistStudent: API_BASE + '/v2/class/apply',
	//  我的请假记录
	stuLeaveLessonsList: API_BASE + '/v2/student/myCenter/stuLeaveLessonsList',
	//  获取可预约学员列表
	getSubscribeAbleList: API_BASE + '/v2/class/selectStudent',
	//  学员预约
	appointment: API_BASE + '/v2/class/appointment',
	//  提交新增学员表单
	submitStudentForm: API_BASE + '/v2/student/info/add',
	//  提交学员预约表单
	submitSubscribelForm: API_BASE + '/v2/class/appointment',
	//  提交请假表单
	submitLevelForm: API_BASE + '/v2/class/leaveSubmit',
	//  提交评价表单
	submitEvaluateForm: API_BASE + '/v2/class/estimateSubmit',
	//  提交成长历程
	submitGrowForm: API_BASE + '/v2/class/addGrow',
	
	
	//  获取我的账户
	getMemberInfo: API_BASE + '/v2/student/myCenter/getMemberInfo',
	//  获取我的课程列表
	getMyClassList: API_BASE + '/v2/class/getList',
	//  获取我的请假列表
	getLeaveList: API_BASE + '/v2/class/getLeaveList',
	//  获取我的订单列表
	getOrderList: API_BASE + '/v2/student/myCenter/getOrderByState',
	//  获取我的学员列表
	getStudentList: API_BASE + '/v2/student/myCenter/selectStudent',
	//  获取我的优惠券列表
	getCouponList: API_BASE + '/v2/student/myCenter/getCouponList',
	//  获取分享有礼二维码
	getShareUrl: API_BASE + '/v2/student/myCenter/share',
	//  获取二维码信息
	getQrcodeInfo: API_BASE + '/v2/sale/center/bindShareId',
	//  获取我的评价列表
	getEvaluateList: API_BASE + '/v2/student/myCenter/getClassEvaluateList',
	//  获取我的签到评价列表
	findSignEvaluate: API_BASE + '/v2/class/findSignEvaluate',
	//  获取我的预约体验列表
	getSubscribeList: API_BASE + '/v2/admin/subscribe/getSubscribeClassEvaluateList',
	// 查询场馆下 班级列表
	getClassListByVenueId: API_BASE + '/course/getClassListByVenueId',
	//  查询教练列表
	getCoachList: API_BASE + '/common/coach/getCoachList',
	//  保存预约信息
	updateAppointment: API_BASE + '/v2/admin/subscribe/updateAppointment',
	
	//  获取可购买会员卡列表
	getMemberCardList: API_BASE + '/v2/student/myCenter/getCardTypeList',
	//  获取可购买会员卡信息
	getMemberCardInfo: API_BASE + '/v2/student/myCenter/getMemberDetailAfterCoupon',
	//  获取可购买会员卡所有场馆
	getAllVenueList: API_BASE + '/v2/student/myCenter/getAllVenueList',
	//  获取前用户家长信息
	getParentInfo: API_BASE + '/v2/student/contract/getUserInfo',
	//  获取可用优惠券列表
	getUsableCouponList: API_BASE + '/v2/student/myCenter/getOwnCouponList',
	//  获取当前用户绑定的学员
	getUserStudent: API_BASE + '/v2/admin/student/getUserStudent',
	//  根据学员获取二维码
	studentQRcode: API_BASE + '/v2/sale/center/studentQRcode',
	//  根据学员获取剩余课时
	getGiveLessons: API_BASE + '/v2/admin/leave/getGiveLessons',
	//  获取可购买会员卡学员列表
	getAllStudentList: API_BASE + '/v2/student/myCenter/selectAllStudent',
	//  获取合同模板
	getContractInfo: API_BASE + '/v2/student/contract/download',
	//  提交签字合同表单
	submitContractForm: API_BASE + '/v2/student/contract/submit',
	//  提交签字合同表单 其他方式支付
	getPayParams0: API_BASE + '/v2/student/myCenter/getCashPayParams',
	//  获取支付回调数据
	getPayParams: API_BASE + '/v2/student/myCenter/getWxPayParams',
	//  获取支付结果
	getPayResult: API_BASE + '/v2/student/myCenter/getPayResult',
	
	
	//  获取服务器端图片
	getServerImg: API_BASE + '/download/icon/',
	//  上传地址
	uploadFile: API_BASE + '/v2/common/file/uploadOne',
}
